## moin 1.2.2

=== MoinMoin/i18n/Makefile ===
POFILES = $(wildcard *.po)
UPDATEPOFILES = $(POFILES:.po=.po-update)
CATALOGS = $(POFILES:.po=.py)
NOPFILES = $(POFILES:.po=.nop)
DOMAIN = MoinMoin

.SUFFIXES: .py .po .po-update .nop

-include POTFILES

all: metapy

POTFILES: POTFILES.in
	@echo "POTFILES = \\" > POTFILES
	@sed -e '/^#/d' -e "/^[ ]*\$$/d" -e 's,.*,	../& \\,' -e '$$s/\(.*\) \\/\1/' < POTFILES.in >> POTFILES

.po.py:
	@echo "msgfmt -c --statistics $<"
	@msgfmt -c --statistics -o /dev/null $<
	@lang=`echo $@ | sed -e 's/\.py$$//'`; \
	echo build_lang_py $$lang; \
	./build_lang_py $$lang

.nop.po-update:
	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
	echo "$$lang:"; \
	echo "msgmerge $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
	if msgmerge $$lang.po $(DOMAIN).pot -o $$lang.new.po; then \
	  if cmp $$lang.po $$lang.new.po >/dev/null 2>&1; then \
	    rm -f $$lang.new.po; \
	  else \
	    if mv -f $$lang.new.po $$lang.po; then \
	      :; \
	    else \
	      echo "msgmerge for $$lang.po failed: cannot move $$lang.new.po to $$lang.po" 1>&2; \
	      exit 1; \
	    fi; \
	  fi; \
	else \
	  echo "msgmerge for $$lang.po failed!" 1>&2; \
	  rm -f $$lang.new.po; \
	fi

$(DOMAIN).pot-update: $(POTFILES) POTFILES
	xgettext --default-domain=$(DOMAIN) --directory=.. \
	  --files-from=POTFILES.in \
	  --no-location \
	  --add-comments=TRANSLATORS:
	@test ! -f $(DOMAIN).po || { \
	  if test -f $(DOMAIN).pot; then \
	    sed -e 's/^"POT-Creation-Date: .*\"$$//' < $(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -e 's/^"POT-Creation-Date: .*"$$//' < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).pot && \
	      mv $(DOMAIN).po $(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(DOMAIN).pot; \
	  fi; \
	}

$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

$(POFILES): $(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	echo msgmerge --update $${lang}.po $(DOMAIN).pot; \
	msgmerge --update $${lang}.po $(DOMAIN).pot

$(NOPFILES):

metapy: $(CATALOGS)
	@langs=`echo $(CATALOGS) | sed -e 's/\.py//g'`; \
	./build_meta_py $$langs

update-po:
	$(MAKE) $(DOMAIN).pot-update
	$(MAKE) $(UPDATEPOFILES)
	$(MAKE) $(CATALOGS)
	$(MAKE) metapy

stats:
	@files="$(POFILES)"; \
	for i in $$files; do \
	  lang=`echo $$i | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	  echo -n "$$lang: "; \
	  msgfmt -o /dev/null --statistics $$i; \
	done

clean:
	rm POTFILES
	rm meta.wiki

## moin 1.3.4

=== MoinMoin/i18n/Makefile ===
--- 
+++ 
@@ -29,18 +29,16 @@
 	  if cmp $$lang.po $$lang.new.po >/dev/null 2>&1; then \
 	    rm -f $$lang.new.po; \
 	  else \
-	    if mv -f $$lang.new.po $$lang.po; then \
-	      :; \
-	    else \
-	      echo "msgmerge for $$lang.po failed: cannot move $$lang.new.po to $$lang.po" 1>&2; \
-	      exit 1; \
-	    fi; \
+	    ./po2wiki.py $$lang <$$lang.new.po; \
+	    rm -f $$lang.new.po; \
 	  fi; \
 	else \
 	  echo "msgmerge for $$lang.po failed!" 1>&2; \
 	  rm -f $$lang.new.po; \
 	fi
 
+# remove "--no-location" if you want to have file names and line numbers
+# that's bad for merging branches - this is why we don't use it
 $(DOMAIN).pot-update: $(POTFILES) POTFILES
 	xgettext --default-domain=$(DOMAIN) --directory=.. \
 	  --files-from=POTFILES.in \
@@ -64,10 +62,13 @@
 $(DOMAIN).pot:
 	$(MAKE) $(DOMAIN).pot-update
 
-$(POFILES): $(DOMAIN).pot
+$(POFILES):
 	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
-	echo msgmerge --update $${lang}.po $(DOMAIN).pot; \
-	msgmerge --update $${lang}.po $(DOMAIN).pot
+	echo msgmerge $${lang}.po $(DOMAIN).pot -o $${lang}.new.po; \
+	msgmerge $${lang}.po $(DOMAIN).pot -o $${lang}.new.po; \
+	./po2wiki.py $${lang} <$$lang.new.po; \
+	rm -f $$lang.new.po
+	
 
 $(NOPFILES):

## moin 1.5.8

=== MoinMoin/i18n/Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 .nop.po-update:
 	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
 	echo "$$lang:"; \
+	./wiki2po.py $${lang}; \
 	echo "msgmerge $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
 	if msgmerge $$lang.po $(DOMAIN).pot -o $$lang.new.po; then \
 	  if cmp $$lang.po $$lang.new.po >/dev/null 2>&1; then \
@@ -64,6 +65,7 @@
 
 $(POFILES):
 	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
+	./wiki2po.py $${lang}; \
 	echo msgmerge $${lang}.po $(DOMAIN).pot -o $${lang}.new.po; \
 	msgmerge $${lang}.po $(DOMAIN).pot -o $${lang}.new.po; \
 	./po2wiki.py $${lang} <$$lang.new.po; \
@@ -91,6 +93,6 @@
 	done
 
 clean:
-	rm POTFILES
-	rm meta.wiki
+	rm -f POTFILES
+	rm -f meta.wiki

## moin 1.9.2

=== debian/changelog ===
moin (1.9.2-2ubuntu3.1) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary script injection via multiple cross-site
    scripting issues.
    - debian/patches/CVE-2010-2487,2969,2970.patch: properly escape strings
      in MoinMoin/{Page,PageEditor,PageGraphicalEditor}.py,
      MoinMoin/action/*.py.
    - CVE-2010-2487
    - CVE-2010-2969
    - CVE-2010-2970

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Aug 2010 10:37:01 -0400

moin (1.9.2-2ubuntu3) lucid; urgency=low

  * debian/rules: Avoid pulling libapache2-mod-wsgi by default, by recommending
    "apache2 | httpd-cgi" instead of "libapache2-mod-wsgi | httpd-cgi".
    Suggest libapache2-mod-wsgi instead. That prevents us from needing to rush
    libapache2-mod-wsgi in main one week before release.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Fri, 23 Apr 2010 15:21:19 +0200

moin (1.9.2-2ubuntu2) lucid; urgency=low

  * Debian declares python-werkzeug and python-parsedatetime as Depends and
    python-xappy as Recommends, however these packages are in universe,
    which breaks Ubuntu policy (section 2.2.1). Until these packages can be
    added to main, use the embedded copies in moin.
    - debian/patches/ubuntu_use_embedded_for_main.patch: update setup.py
    - debian/rules: update CDBS_DEPENDS and CDBS_RECOMMENDS for the above
  * SECURITY UPDATE: fix XSS in Despam action
    - debian/patches/CVE-2010-0828.patch: use wikiutil.escape() in
      revert_pages()
    - CVE-2010-0828

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 30 Mar 2010 15:09:54 -0500

moin (1.9.2-2ubuntu1) lucid; urgency=low

  * Merge from Debian testing (LP: #521834). Based on work by Stefan Ebner.
    Remaining changes:
   - Remove python-xml from Suggests field, the package isn't anymore in
     sys.path.
   - Demote fckeditor from Recommends to Suggests; the code was previously
     embedded in moin, but it was also disabled, so there's no reason for us
     to pull this in by default currently. Note: This isn't necessary anymore
     but needs a MIR for fckeditor, so postpone dropping this change until
     lucid+1
  * debian/rules:
    - Replace hardcoded python2.5 with python* and hardcore python2.6 for ln
  * debian/control.in: drop versioned depends on cdbs

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 30 Mar 2010 12:55:34 -0500

moin (1.9.2-2) unstable; urgency=medium

  [ Frank Lin PIAT ]
  * Minor improvements to moin-update-wikilist.1 manpage

  [ Jonas Smedegaard ]
  * Update local CDBS snippets:
    + use main upstream-tarball.mk, and drop no longer used local one.
    + Include main utils.mk (not copyright-check.mk now gone).
    + Only dash-include non-crucial upstream-tarball.mk and suppress its
      build-dependency hint, to ease backporting.
    + Temporarily disable buildinfo.mk, until more backport-friendly.
    + Shrink local package-relations.mk to only handle binary relations
      (the rest merged into buildcore.mk since cdbs 0.4.69), and fix
      avoid accidentally relying on debhelper.mk.
  * As effect of above, stop build-depending on devscripts or
    dh-buildinfo, and relax build-dependency on cdbs to be unversioned.
  * Set urgency=medium, as only manpage changes should affect content of
    package, and improved backportability is wanted in testing.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Mar 2010 20:41:32 +0100

moin (1.9.2-1) unstable; urgency=low

  [ Frank Lin PIAT ]
  * New upstream release.
    + Fix broken with python-werkzeug 0.6-1, Closes: #571016
    + Fix CVE-2010-0668 and CVE-2010-0669, Closes: #569975
    + Fix action=diff Exception if a page doesn't exist/has no editlog,
      Closes: #567129
    + Fix incompatibility with old style configuration "cookie_lifetime = 1"
      Closes: #560172
    + Improve documentation of farmconfig.py, Closes: #559896

  [ Jonas Smedegaard ]
  * Drop old conflicts/replaces needed for Etch transition.
  * Update copyright file:
    + Comma-separate files
    + merge some debian entries
    + bump some years
    + Add leading ./ to files
    + Improve wording of X-Copyright-Comment stanza
    + Use Maintainer stanza (not Contact)
    + Use Expat (not other-MIT) as license short-name
    + Fix GPL licenses to include verbatim license text, disclaimer and
      reference to FSF
    + Merge license other-ModifiedBSD with virtually identical other-
      ModifiedBSD-contributors
    + Declare copyright conformant with DEP5 rev. 135
  * Bump copyright years and add Frank Lin as owner in rules file.
  * Refer to FSF website (not postal address) in rules file header.
  * Drop DEB_AUTO_UPDATE_DEBIAN_CONTROL handling from rules file
    (included in main cdbs since 0.4.67). Drop now unneeded lintian-
    overrides.
  * Stop build-depending on (yet) unused help2man.
  * Simplify installation of desktop edition (both ours and that of the
    local user).
  * Drop workaround rules for cruft no longer shipped upstream.
  * Ensure variable-expanded files are not accidentally copyright-
    checked (double-colon rules may run in parallel).
  * Drop local CDBS snippets copyright-check.mk and buildinfo.mk,
    included with cdbs since 0.4.67.
    Tighten build-dependency on cdbs to versions providing the snippets.
  * Improve package-relationships.mk to strip unversioned build-
    dependency following same versioned.
  * Use source format "3.0 'quilt'":
    + Add format hint to source
    + Update README.source
    + Stop including patchsys-quilt.mk
    + Stop build-depending on quilt or patchutils
  * Drop local CDBS snippet python-distutils.mk, cdbs now mature enough.
    Relax build-dependencies on python-dev and python-support.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Mar 2010 23:23:11 +0100

moin (1.9.1-1) unstable; urgency=high

  * New upstream release.
    + Fixes security issue in CGI handling, introduced in 1.9. Closes:
      bug#565854, thanks to Pascal Volk and Frank Lin PIAT.
  * Update local CDBS snippets:


=== debian/control ===
Source: moin
Section: net
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.8.4
Build-Depends: cdbs, python-support, python-dev (>= 2.3.5-7), debhelper (>= 6), unzip, zip
Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
Homepage: http://moinmo.in/

Package: python-moinmoin
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Provides: ${python:Provides}, ${cdbs:Provides}
Replaces: ${cdbs:Replaces}
Conflicts: ${cdbs:Conflicts}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: Python clone of WikiWiki - library
 A WikiWikiWeb is a collaborative hypertext environment, with an
 emphasis on easy access to and modification of information. MoinMoin
 is a Python WikiClone that allows you to easily set up your own wiki,
 only requiring a Web server and a Python installation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2003-2010 Jonas Smedegaard <dr@jones.dk>
# Copyright 2009-2010 Frank Lin PIAT <fpiat@klabs.be>
# Description: Main Debian packaging script for MoinMoin
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_PYTHON_SYSTEM = pysupport
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/buildinfo.mk
include debian/cdbs/1/rules/package-relations.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_buildinfo =

DEB_UPSTREAM_URL = http://static.moinmo.in/files
DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
DEB_UPSTREAM_TARBALL_MD5 = e464c474c3a56c803dc553b8ca13c37f

# Use local fork handling variations in owner names and license strings
DEB_COPYRIGHT_CHECK_SCRIPT = debian/licensecheck

pkg = python-moinmoin

libdir = /usr/share/moin/server
DEB_PYTHON_PRIVATE_MODULES_DIRS_$(pkg_data) = /usr/share/moin/data/plugin /usr/share/moin/server
# Grrr - this is needed thanks to broken defaults with new python policy!
DEB_PYTHON_DESTDIR = $(CURDIR)/debian/$(cdbs_curpkg)

DEB_MAKE_CHECK_TARGET = test
DEB_COMPRESS_EXCLUDE = .py
DEB_INSTALL_EXAMPLES_$(pkg) += wikiserver.py wikiconfig.py wiki/config debian/examples/*
DEB_INSTALL_DOCS_ALL += debian/README.Debian
DEB_INSTALL_DOCS_$(pkg) += docs/README.migration docs/INSTALL.html
DEB_INSTALL_DOCS_$(pkg) += docs/UPDATE.html
DEB_INSTALL_CHANGELOGS_ALL = docs/CHANGES
DEB_INSTALL_MANPAGES_$(pkg) += debian/moin-mass-migrate.8 debian/moin-update-wikilist.1

# Grab staticpath from some config file for use in our documentation
# (Make ignores exitlevel, so doublecheck result)
grep -q "url_prefix_static = '/moin_static' + version.release_short" MoinMoin/config/__init__.py || echo "Test failed"
staticpath := $(shell sed -n -e "s|^\s*release_short\s*=\s*'\([^']*\)'.*|/moin_static\1|p" MoinMoin/version.py)
$(if $(staticpath),,$(error Failed to resolve staticpath))

SEDRULE_CONTENT = -e 's,__STATICPATH__,$(staticpath),g'

# just being lazy...
datadir = /usr/share/moin

# Create (and cleanup) files, expanding variables static per build
update-config:: pre-build
	for file in `find debian -maxdepth 2 -type f -name '*.in' -not -name control.in -not -name control.in.in -not -name POTFILES.in`; do \
		targetfile=`echo $$file | sed -e 's/\\.in$$//'`; \
		sed $(SEDRULE_CONTENT) <$$file >$$targetfile; \
	done

clean::
	for file in `find debian -maxdepth 2 -type f -name '*.in' -not -name control.in -not -name control.in.in -not -name README.source.in -not -name POTFILES.in -not -name 'watch.in'`; do \
		targetfile=`echo $$file | sed -e 's/\\.in$$//'`; \
		rm -f $$targetfile; \
	done

# Force strip python binary hardcoding
binary-fixup/$(pkg)::
	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' debian/$(cdbs_curpkg)$(datadir)/server/* debian/$(cdbs_curpkg)/usr/share/doc/* \
		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python$(cdbs_python_compile_version),'

# Strip notes in underlay about editing only on moinmaster.
binary-fixup/$(pkg)::
	sh debian/process_language_pages debian/$(cdbs_curpkg)

# Make sure scripts are executable
binary-fixup/$(pkg)::
	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' debian/$(cdbs_curpkg)$(libdir) \
		| xargs -r -0 chmod a+x
	chmod a+x debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/wikiserver-init.sh

# Make sure translations are up-to-date
common-build-indep:: debian/stamp-update-translations

debian/stamp-update-translations: common-configure-indep
	cd MoinMoin/i18n && make
	touch debian/stamp-update-translations

clean::
	cd MoinMoin/i18n && make clean
	rm -f MoinMoin/i18n/meta.py
	rm -f debian/stamp-update-translations

# Setup system wide farmconfig.
binary-fixup/$(pkg)::
	mkdir -p debian/$(cdbs_curpkg)/etc/moin
	for file in `find debian/$(cdbs_curpkg)$(datadir)/config/wikifarm -type f -print`; do \
		sed -f debian/configtweaks.sed $$file > debian/$(cdbs_curpkg)/etc/moin/$${file##*/}; \
	done
	for file in `find debian/$(cdbs_curpkg)$(datadir)/server -type f -printf '%f\n'`; do \
		cat debian/$(cdbs_curpkg)$(datadir)/server/$$file | sed -f debian/servertweaks.sed > debian/$(cdbs_curpkg)$(datadir)/server/$$file.new; \
		chmod --reference=debian/$(cdbs_curpkg)$(datadir)/server/$$file debian/$(cdbs_curpkg)$(datadir)/server/$$file.new; \
		mv -f debian/$(cdbs_curpkg)$(datadir)/server/$$file.new debian/$(cdbs_curpkg)$(datadir)/server/$$file; \
	done

# Use systemwide word file as main dictionnary
binary-fixup/$(pkg)::
	mkdir -p  debian/$(cdbs_curpkg)/usr/share/pyshared/MoinMoin/
	ln -s /etc/moin/words debian/$(cdbs_curpkg)/usr/share/pyshared/MoinMoin/
	ln -s /usr/share/dict/words debian/$(cdbs_curpkg)/etc/moin/words

# Move underlay to /usr/share/moin
install/$(pkg)::
	mkdir -p debian/$(cdbs_curpkg)$(datadir)
	mv debian/$(cdbs_curpkg)/usr/lib/python*/*-packages/MoinMoin/web/static/htdocs debian/$(cdbs_curpkg)$(datadir)
	ln -s debian/$(cdbs_curpkg)$(datadir)/htdocs debian/$(cdbs_curpkg)/usr/lib/python2.6/site-packages/MoinMoin/web/static/htdocs

# Strip TwikiDrawPlugin as we need to compile from source
binary-fixup/$(pkg)::
	rm -f debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/TWikiDrawPlugin/twikidraw.jar
	echo "This applet has not yet been packaged for Debian. for now it is available at http://debian.jones.dk/auryn/pool-all/official/moin/twikidraw/" > debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/TWikiDrawPlugin/README

# Strip FCKeditor, as it's provided by packages fckeditor
binary-fixup/$(pkg)::
	rm -rf debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/FCKeditor/*
	echo "This applet is provided by Debian's fckeditor package." > debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/FCKeditor/README
	echo "More info at /usr/share/doc/$(cdbs_curpkg)/README.Debian(.gz)" >> debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/FCKeditor/README

# Strip AnyWikiDrawForTWiki as needs to compile from source
binary-fixup/$(pkg)::
	rm -rf debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/anywikidraw/*
	echo "This applet has not yet been packaged for Debian." > debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/anywikidraw/README

# Needed for our packaging
CDBS_BUILD_DEPENDS += , unzip, zip

# Needed (always, often or sometimes) at runtime
CDBS_DEPENDS += python-pygments
CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian
CDBS_RECOMMENDS += , apache2 | httpd-cgi
CDBS_SUGGESTS += , libapache2-mod-wsgi
CDBS_SUGGESTS += , python-flup
CDBS_SUGGESTS += , python-4suite-xml, python-gdchart, python-docutils (>= 0.3.10), python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb, fckeditor
CDBS_SUGGESTS += , miscfiles | wordlist, antiword, catdoc, smbfs, poppler-utils | xpdf-utils, docbook-dsssl

# Transitional quirk: moinmoin-common dropped, functionality is in python-moinmoin
# (unneeded since Lenny: can be dropped after Lenny+1)
CDBS_PROVIDES += , moinmoin-common
CDBS_REPLACES += , moinmoin-common
CDBS_CONFLICTS += , moinmoin-common

## moin 1.9.3

=== debian/changelog ===
moin (1.9.3-1ubuntu2.2) precise-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via anywikidraw/twikidraw
    - debian/patches/CVE-2012-XXXX.patch: adjust action/anywikidraw.py and
      action/twikidraw.py to use wikiutil.taintfilename()
    - CVE-2012-XXXX
  * SECURITY UPDATE: path traversal via AttachFile
    - debian/patches/CVE-2012-YYYY.patch: adjust action/AttachFile.py to use
      wikiutil.taintfilename()
    - CVE-2012-YYYY

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 29 Dec 2012 18:20:21 -0600

moin (1.9.3-1ubuntu2.1) precise-security; urgency=low

  * SECURITY UPDATE: cross-site scripting issue in reStructuredText parser
    - debian/patches/CVE-2011-1058.patch: remove javascript support in
      MoinMoin/parser/text_rst.py.
    - CVE-2011-1058
  * SECURITY UPDATE: incorrect permissions due to broken virtual group
    names handling
    - debian/patches/CVE-2012-4404.patch: fix group test in
      MoinMoin/security/__init__.py, added test in
      MoinMoin/security/_tests/test_security.py.
    - CVE-2012-4404

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Oct 2012 10:18:19 -0400

moin (1.9.3-1ubuntu2) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 13:16:29 +0000

moin (1.9.3-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #586518). Based on work by Stefan Ebner.
    Remaining changes:
   - Remove python-xml from Suggests field, the package isn't anymore in
     sys.path.
   - Demote fckeditor from Recommends to Suggests; the code was previously
     embedded in moin, but it was also disabled, so there's no reason 
     for us to pull this in by default currently. Note: fckeditor has a
     number of security problems and so this change probably needs to be
     carried indefinitely.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 11 Aug 2010 12:35:34 -0700

moin (1.9.3-1) unstable; urgency=low

  * New upstream release.

  [ Frank Lin PIAT ]
  * Build-Depends on python rather than python-dev.
    Closes: bug#576426.
  * Fix location of README.Migration in NEWS file.
  * Install upstream's docs/REQUIREMENTS file.
  * Add manpage moin(1).
  * Drop lintian override for test.wsgi: no longer executable.
  * Add lintian override for no-doc-base-registration.
  * Install the desktop edition sample config files.
  * Fix werkzeug-0.6 http redirect incompatibility.
    Closes: bug#579189.
  * Improve DEP3 header for patch fix_werkzeug_0.6_http_redirect
  * Fix werkzeug-0.6 xmlxpc incompatibility.
    Closes: bug#580186.

  [ Jonas Smedegaard ]
  * Fix conditionally append version in hash-bang of Python scripts
    (relevant only on systems where default Python version is
    unsupported - i.e. highly unlikely to have caused real trouble
    anywhere). Tighten build-dependency on cdbs to versions providing
    new variable name. Rephrase related comment.
  * Drop files section in copyright file for no longer shipped CDBS
    snippet.
  * Fix append version to python dependency if using non-default
    version.
  * Tidy rules file: move variable below cdbs inclusions, and improve
    some comments.
  * Drop patches applied in upstream 0.9.3 release. Refresh patches.
  * Tighten build-dependency on cdbs.
  * Bump Policy compliance to Standards-Version 3.9.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jul 2010 20:46:59 -0400

moin (1.9.2-3) unstable; urgency=high

  [ Frank Lin PIAT ]
  * Add patch to fix CVE-2010-0828: XSS in Despam page.
    Closes: 575995, thanks to Jamie Strandboge (Ubuntu).

  [ Jakub Wilk ]
  * Fix htdocs symlink, when compiled with python2.6.
    Closes: bug#557956.

  [ Jonas Smedegaard ]
  * Drop local package-relations.mk snippet, now in main cdbs package.
  * Unfuzz and refresh patches (with quilt compacting options
    --no-timestamps --no-index -pab).
  * Add DEP3 header to patch "CVE-2010-0828.patch".
  * Stop suppressing optional build-dependencies: we need recent cdbs
    anyway (to not complicate packaging with a local CDBS snippet) so
    cannot please backporters anyway.
  * Build-depend on devscripts and dh-buildinfo, and tighten build-
    dependency on cdbs, due to above changes.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Apr 2010 16:27:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,16 @@
 Source: moin
 Section: net
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.8.4
-Build-Depends: cdbs, python-support, python-dev (>= 2.3.5-7), debhelper (>= 6), unzip, zip
+Standards-Version: 3.9.1
+Build-Depends: devscripts (>= 2.10.7~),
+ dh-buildinfo,
+ python,
+ debhelper (>= 6),
+ unzip,
+ zip,
+ cdbs (>= 0.4.72~)
 Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
 Homepage: http://moinmo.in/

=== debian/rules ===
--- 
+++ 
@@ -17,21 +17,17 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-DEB_PYTHON_SYSTEM = pysupport
--include /usr/share/cdbs/1/rules/upstream-tarball.mk
+include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-#include /usr/share/cdbs/1/rules/buildinfo.mk
-include debian/cdbs/1/rules/package-relations.mk
 
-# suppress optional build-dependencies
-CDBS_BUILD_DEPENDS_upstream-tarball =
-CDBS_BUILD_DEPENDS_rules_buildinfo =
+# Suppress unneeded auto-resolved build-dependency on python-dev
+CDBS_BUILD_DEPENDS_class_python-distutils = python$(cdbs_python_nondefault_version)
 
 DEB_UPSTREAM_URL = http://static.moinmo.in/files
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = e464c474c3a56c803dc553b8ca13c37f
+DEB_UPSTREAM_TARBALL_MD5 = b22c15446e9fabda180fc88b21635184
 
 # Use local fork handling variations in owner names and license strings
 DEB_COPYRIGHT_CHECK_SCRIPT = debian/licensecheck
@@ -48,9 +44,9 @@
 DEB_INSTALL_EXAMPLES_$(pkg) += wikiserver.py wikiconfig.py wiki/config debian/examples/*
 DEB_INSTALL_DOCS_ALL += debian/README.Debian
 DEB_INSTALL_DOCS_$(pkg) += docs/README.migration docs/INSTALL.html
-DEB_INSTALL_DOCS_$(pkg) += docs/UPDATE.html
+DEB_INSTALL_DOCS_$(pkg) += docs/UPDATE.html docs/REQUIREMENTS
 DEB_INSTALL_CHANGELOGS_ALL = docs/CHANGES
-DEB_INSTALL_MANPAGES_$(pkg) += debian/moin-mass-migrate.8 debian/moin-update-wikilist.1
+DEB_INSTALL_MANPAGES_$(pkg) += debian/moin-mass-migrate.8 debian/moin-update-wikilist.1 debian/moin.1
 
 # Grab staticpath from some config file for use in our documentation
 # (Make ignores exitlevel, so doublecheck result)
@@ -76,19 +72,28 @@
 		rm -f $$targetfile; \
 	done
 
-# Force strip python binary hardcoding
+# Ensure proper hash-bang in Python scripts (Python Policy 0.9.0.0 §3.1)
 binary-fixup/$(pkg)::
 	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' debian/$(cdbs_curpkg)$(datadir)/server/* debian/$(cdbs_curpkg)/usr/share/doc/* \
-		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python$(cdbs_python_compile_version),'
+		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python$(cdbs_python_nondefault_version),'
 
 # Strip notes in underlay about editing only on moinmaster.
 binary-fixup/$(pkg)::
 	sh debian/process_language_pages debian/$(cdbs_curpkg)
 
+# moin is modular, insert sub-commands description
+common-build-indep::
+	bash debian/tweak-moin-manpage debian/moin.1.template debian/moin.1
+
 # Make sure scripts are executable
 binary-fixup/$(pkg)::
 	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' debian/$(cdbs_curpkg)$(libdir) \
 		| xargs -r -0 chmod a+x
+
+# Include Moinmoin Desktop editions files.
+binary-fixup/$(pkg)::
+	mkdir -p debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/desktop-edition
+	cp wikiserver.py wikiconfig.py debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/desktop-edition
 	chmod a+x debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/wikiserver-init.sh
 
 # Make sure translations are up-to-date
@@ -102,6 +107,7 @@
 	cd MoinMoin/i18n && make clean
 	rm -f MoinMoin/i18n/meta.py
 	rm -f debian/stamp-update-translations
+	rm -f debian/moin.1
 
 # Setup system wide farmconfig.
 binary-fixup/$(pkg)::
@@ -115,7 +121,7 @@
 		mv -f debian/$(cdbs_curpkg)$(datadir)/server/$$file.new debian/$(cdbs_curpkg)$(datadir)/server/$$file; \
 	done
 
-# Use systemwide word file as main dictionnary
+# Use systemwide word file as main dictionary
 binary-fixup/$(pkg)::
 	mkdir -p  debian/$(cdbs_curpkg)/usr/share/pyshared/MoinMoin/
 	ln -s /etc/moin/words debian/$(cdbs_curpkg)/usr/share/pyshared/MoinMoin/
@@ -125,7 +131,7 @@
 install/$(pkg)::
 	mkdir -p debian/$(cdbs_curpkg)$(datadir)
 	mv debian/$(cdbs_curpkg)/usr/lib/python*/*-packages/MoinMoin/web/static/htdocs debian/$(cdbs_curpkg)$(datadir)
-	ln -s debian/$(cdbs_curpkg)$(datadir)/htdocs debian/$(cdbs_curpkg)/usr/lib/python2.6/site-packages/MoinMoin/web/static/htdocs
+	ln -s debian/$(cdbs_curpkg)$(datadir)/htdocs debian/$(cdbs_curpkg)/usr/lib/python*/*-packages/MoinMoin/web/static/
 
 # Strip TwikiDrawPlugin as we need to compile from source
 binary-fixup/$(pkg)::
@@ -144,19 +150,13 @@
 	echo "This applet has not yet been packaged for Debian." > debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/anywikidraw/README
 
 # Needed for our packaging
-CDBS_BUILD_DEPENDS += , unzip, zip
+# * cdbs 0.4.72 or newer needed for variable $(cdbs_python_nondefault_version)
+CDBS_BUILD_DEPENDS += , unzip, zip, cdbs (>= 0.4.72~)
 
 # Needed (always, often or sometimes) at runtime
-CDBS_DEPENDS += python-pygments
-CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian
-CDBS_RECOMMENDS += , apache2 | httpd-cgi
-CDBS_SUGGESTS += , libapache2-mod-wsgi
+CDBS_DEPENDS += python-werkzeug, python-pygments, python-parsedatetime
+CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy
+CDBS_RECOMMENDS += , libapache2-mod-wsgi | httpd-cgi
 CDBS_SUGGESTS += , python-flup
-CDBS_SUGGESTS += , python-4suite-xml, python-gdchart, python-docutils (>= 0.3.10), python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb, fckeditor
+CDBS_SUGGESTS += , python-4suite-xml, python-gdchart, python-docutils (>= 0.3.10), python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
 CDBS_SUGGESTS += , miscfiles | wordlist, antiword, catdoc, smbfs, poppler-utils | xpdf-utils, docbook-dsssl
-
-# Transitional quirk: moinmoin-common dropped, functionality is in python-moinmoin
-# (unneeded since Lenny: can be dropped after Lenny+1)
-CDBS_PROVIDES += , moinmoin-common
-CDBS_REPLACES += , moinmoin-common
-CDBS_CONFLICTS += , moinmoin-common

## moin 1.9.4

=== debian/changelog ===
moin (1.9.4-8+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2016-7146 and CVE-2016-9119.
    - JavaScript injection attack and XSS in the GUI editor's link dialogue.

 -- Markus Koschany <apo@debian.org>  Mon, 21 Nov 2016 15:58:18 +0100

moin (1.9.4-8+deb7u2) stable; urgency=low

  * Backport fix from upstream: Do not create empty pagedir (with
    empty edit-log). Closes: #721557

 -- Steve McIntyre <93sam@debian.org>  Sun, 15 Sep 2013 14:44:37 -0700

moin (1.9.4-8+deb7u1) testing-proposed-updates; urgency=high

  * Stack of security fixes from upstream:
    + make taintfilename more secure
    + escape user- or admin-defined css url
    + use a constant time str comparison function to prevent timing
      attacks
    + fix remote code execution vulnerability in twikidraw/anywikidraw
      actions (CVE-2012-6081).
    + fix path traversal vulnerability in AttachFile action
      (CVE-2012-6080).

 -- Steve McIntyre <93sam@debian.org>  Sat, 29 Dec 2012 19:20:37 +0100

moin (1.9.4-8) unstable; urgency=high

  * High urgency for a security fix
  * Add patch from upstream to fix a virtual group bug in ACL evaluation
    (CVE-2012-4404).

 -- Steve McIntyre <93sam@debian.org>  Wed, 05 Sep 2012 01:57:30 +0100

moin (1.9.4-7) unstable; urgency=low

  * subprocess.check_output only appeared in python 2.7. Use
    subprocess.Popen and .communicate() instead to get the same effect but
    working on older python versions too.

 -- Steve McIntyre <93sam@debian.org>  Fri, 10 Aug 2012 14:20:26 +0100

moin (1.9.4-6) unstable; urgency=low

  * Fix the error message displayed when external_creation_check fails

 -- Steve McIntyre <93sam@debian.org>  Mon, 30 Jul 2012 19:52:39 +0100

moin (1.9.4-5) unstable; urgency=low

  * Store date and host when a new account is created
  * Add the option to call an external helper program at account creation
    time to help with local account control policy (e.g. anti-spam)
  * Make sending of email verification messages slightly more verbose.

 -- Steve McIntyre <93sam@debian.org>  Sun, 29 Jul 2012 11:40:28 +0100

moin (1.9.4-4) unstable; urgency=low

  * Fix stupid typo in the mail verification patch. Closes: #671211

 -- Steve McIntyre <93sam@debian.org>  Thu, 03 May 2012 12:55:49 +0100

moin (1.9.4-3) unstable; urgency=low

  * Update the subscriber lookup patch to add locking.
  * Add a new patch to add support for verifying email addresses during
    account creation.

 -- Steve McIntyre <93sam@debian.org>  Mon, 30 Apr 2012 17:22:27 +0100

moin (1.9.4-2) unstable; urgency=low

  * Add a cache for subscriber lookup to boost performance on page save.
    Patch from Vitaliy Shchupak. Closes: #668000

 -- Steve McIntyre <93sam@debian.org>  Mon, 16 Apr 2012 20:18:27 +0100

moin (1.9.4-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#663340.
  * Bump debhelper compatibility level to 7.
  * Stop providing/replacing/conflicting with moinmoin-common:
    Transitional quirk unneeded since Lenny.
  * Drop preinst/postrm conffile renaming hack, unneeded since MoinMoin
    1.5.2.
  * Update package relations:
    + Stop needlessly build-depend versioned on cdbs: shadowed by even
      tighter versioning due to use of default Python install helper.
    + Use unversioned suggest for python-docutils: Needed version
      satisfied even in oldstable.
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Drop patch implementing CVE-2011-1058: Applied upstream.
  * Unfuzz patch disabling GUI editor.
  * Update copyright file:
    + Extend/bump some copyright years.
    + Introduce new copyright holder.
    + Fix list more specific Files section after general one.
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Mar 2012 11:20:33 +0100

moin (1.9.3-3) unstable; urgency=high

  [ Steve McIntyre ]
  * Add myself to Uploaders
  * Add patch from upstream to fix a cross-site scripting vulnerability in
    the rst parser (CVE-2011-1058). Closes: #643904

 -- Steve McIntyre <93sam@debian.org>  Tue, 04 Oct 2011 13:14:09 +0100

moin (1.9.3-2) unstable; urgency=low

  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add source local-options.
  * Add patch to add simple support for using recaptcha.
    Closes: bug#637880. Thanks to Steve McIntyre.
  * Depend on python-recaptcha, required by recaptcha support.
  * Suggest cifs-utils (not smbfs).
    Closes: bug#638156. Thanks to Luk Claes.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Add recaptcha patch, licensed GPL-2+.
  * Use Python helper python2 (not python-support).
  * Bump Policy compliance to Standards-Version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Aug 2011 19:13:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: moin
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.1
-Build-Depends: devscripts (>= 2.10.7~),
+Maintainer: Jonas Smedegaard <dr@jones.dk>
+Standards-Version: 3.9.2
+Build-Depends: devscripts,
+ python (>= 2.6.5),
+ cdbs (>= 0.4.97~),
+ python-dev (>= 2.3.5-7),
+ debhelper,
  dh-buildinfo,
- python,
- debhelper (>= 6),
  unzip,
- zip,
- cdbs (>= 0.4.72~)
+ zip
+Uploaders: Steve McIntyre <93sam@debian.org>
 Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
 Homepage: http://moinmo.in/

=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,9 @@
 include /usr/share/cdbs/1/class/python-distutils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-# Suppress unneeded auto-resolved build-dependency on python-dev
-CDBS_BUILD_DEPENDS_class_python-distutils = python$(cdbs_python_nondefault_version)
-
 DEB_UPSTREAM_URL = http://static.moinmo.in/files
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = b22c15446e9fabda180fc88b21635184
+DEB_UPSTREAM_TARBALL_MD5 = f274a47042abeb17df6b0abb2948e896
 
 # Use local fork handling variations in owner names and license strings
 DEB_COPYRIGHT_CHECK_SCRIPT = debian/licensecheck
@@ -50,7 +47,9 @@
 
 # Grab staticpath from some config file for use in our documentation
 # (Make ignores exitlevel, so doublecheck result)
-grep -q "url_prefix_static = '/moin_static' + version.release_short" MoinMoin/config/__init__.py || echo "Test failed"
+
+#grep -q "url_prefix_static = '/moin_static' + version.release_short" MoinMoin/config/__init__.py || echo "Test failed"
+
 staticpath := $(shell sed -n -e "s|^\s*release_short\s*=\s*'\([^']*\)'.*|/moin_static\1|p" MoinMoin/version.py)
 $(if $(staticpath),,$(error Failed to resolve staticpath))
 
@@ -150,13 +149,12 @@
 	echo "This applet has not yet been packaged for Debian." > debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/anywikidraw/README
 
 # Needed for our packaging
-# * cdbs 0.4.72 or newer needed for variable $(cdbs_python_nondefault_version)
-CDBS_BUILD_DEPENDS += , unzip, zip, cdbs (>= 0.4.72~)
+CDBS_BUILD_DEPENDS += , unzip, zip
 
 # Needed (always, often or sometimes) at runtime
-CDBS_DEPENDS += python-werkzeug, python-pygments, python-parsedatetime
-CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy
+CDBS_DEPENDS += python-werkzeug, python-pygments, python-parsedatetime, python-recaptcha
+CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy, fckeditor
 CDBS_RECOMMENDS += , libapache2-mod-wsgi | httpd-cgi
 CDBS_SUGGESTS += , python-flup
-CDBS_SUGGESTS += , python-4suite-xml, python-gdchart, python-docutils (>= 0.3.10), python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
-CDBS_SUGGESTS += , miscfiles | wordlist, antiword, catdoc, smbfs, poppler-utils | xpdf-utils, docbook-dsssl
+CDBS_SUGGESTS += , python-4suite-xml, python-xml, python-gdchart, python-docutils, python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
+CDBS_SUGGESTS += , miscfiles | wordlist, antiword, catdoc, cifs-utils, poppler-utils | xpdf-utils, docbook-dsssl

## moin 1.9.5

=== debian/changelog ===
moin (1.9.5-4ubuntu1) raring-proposed; urgency=low

  * Merge from Debian unstable. Remaining changes:
   - debian/rules: remove python-xml from CDBS_SUGGESTS field, the package
     isn't in sys.path any more.
   - debian/rules: demote fckeditor from CDBS_RECOMMENDS to CDBS_SUGGESTS; the
     code was previously embedded in moin, but it was also disabled, so
     there's no reason for us to pull this in by default currently. Note:
     fckeditor has a number of security problems and so this change probably
     needs to be carried indefinitely.
  * Dropped the following patches, no longer needed:
    - debian/patches/CVE-2012-XXXX.patch
    - debian/patches/CVE-2012-YYYY.patch

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 03 Jan 2013 10:58:34 -0600

moin (1.9.5-4) unstable; urgency=high

  * Another security fix from upstream:
    + fix path traversal vulnerability in AttachFile action
      (CVE-2012-XXXX).

 -- Steve McIntyre <93sam@debian.org>  Sat, 29 Dec 2012 19:01:04 +0000

moin (1.9.5-3) unstable; urgency=high

  * Security fix from upstream:
    + fix remote code execution vulnerability in twikidraw/anywikidraw
      actions (CVE-2012-XXXX).

 -- Steve McIntyre <93sam@debian.org>  Sat, 29 Dec 2012 16:54:15 +0000

moin (1.9.5-2) unstable; urgency=high

  * Several security fixes from upstream:
    + fix XSS issue, escape page name in rss link (CVE id not available
      yet)
    + make taintfilename more secure
    + escape user- or admin-defined css url
    + use a constant time str comparison function to prevent timing
      attacks

 -- Steve McIntyre <93sam@debian.org>  Wed, 12 Dec 2012 14:17:35 +0000

moin (1.9.5-1ubuntu2) raring-proposed; urgency=low

  * SECURITY UPDATE: arbitrary code execution via anywikidraw/twikidraw
    - debian/patches/CVE-2012-XXXX.patch: adjust action/anywikidraw.py and
      action/twikidraw.py to use wikiutil.taintfilename()
    - CVE-2012-XXXX
  * SECURITY UPDATE: path traversal via AttachFile
    - debian/patches/CVE-2012-YYYY.patch: adjust action/AttachFile.py to use
      wikiutil.taintfilename()
    - CVE-2012-YYYY

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 29 Dec 2012 18:24:10 -0600

moin (1.9.5-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1046616). Remaining changes:
   - Remove python-xml from Suggests field, the package isn't anymore in
     sys.path.
   - Demote fckeditor from Recommends to Suggests; the code was previously
     embedded in moin, but it was also disabled, so there's no reason 
     for us to pull this in by default currently. Note: fckeditor has a
     number of security problems and so this change probably needs to be
     carried indefinitely.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 23 Nov 2012 09:18:37 -0500

moin (1.9.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer: Steve McIntyre. Thanks to Jonas for all his previous
    hard work.

 -- Steve McIntyre <93sam@debian.org>  Sat, 10 Nov 2012 20:19:36 +0000

moin (1.9.3-1ubuntu3) quantal; urgency=low

  * SECURITY UPDATE: cross-site scripting issue in reStructuredText parser
    - debian/patches/CVE-2011-1058.patch: remove javascript support in
      MoinMoin/parser/text_rst.py.
    - CVE-2011-1058
  * SECURITY UPDATE: incorrect permissions due to broken virtual group
    names handling
    - debian/patches/CVE-2012-4404.patch: fix group test in
      MoinMoin/security/__init__.py, added test in
      MoinMoin/security/_tests/test_security.py.
    - CVE-2012-4404

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Oct 2012 10:13:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: moin
 Section: net
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
+Standards-Version: 3.9.3
 Build-Depends: devscripts,
- python (>= 2.6.5),
+ python,
  cdbs (>= 0.4.97~),
  python-dev (>= 2.3.5-7),
  debhelper,
  dh-buildinfo,
  unzip,
  zip
-Uploaders: Steve McIntyre <93sam@debian.org>
 Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
 Homepage: http://moinmo.in/

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 DEB_UPSTREAM_URL = http://static.moinmo.in/files
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = f274a47042abeb17df6b0abb2948e896
+DEB_UPSTREAM_TARBALL_MD5 = adfa15e3e37cf26b4b014f209959e9d9
 
 # Use local fork handling variations in owner names and license strings
 DEB_COPYRIGHT_CHECK_SCRIPT = debian/licensecheck
@@ -47,9 +47,7 @@
 
 # Grab staticpath from some config file for use in our documentation
 # (Make ignores exitlevel, so doublecheck result)
-
-#grep -q "url_prefix_static = '/moin_static' + version.release_short" MoinMoin/config/__init__.py || echo "Test failed"
-
+grep -q "url_prefix_static = '/moin_static' + version.release_short" MoinMoin/config/__init__.py || echo "Test failed"
 staticpath := $(shell sed -n -e "s|^\s*release_short\s*=\s*'\([^']*\)'.*|/moin_static\1|p" MoinMoin/version.py)
 $(if $(staticpath),,$(error Failed to resolve staticpath))
 
@@ -153,8 +151,8 @@
 
 # Needed (always, often or sometimes) at runtime
 CDBS_DEPENDS += python-werkzeug, python-pygments, python-parsedatetime, python-recaptcha
-CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy, fckeditor
+CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy
 CDBS_RECOMMENDS += , libapache2-mod-wsgi | httpd-cgi
-CDBS_SUGGESTS += , python-flup
-CDBS_SUGGESTS += , python-4suite-xml, python-xml, python-gdchart, python-docutils, python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
+CDBS_SUGGESTS += , python-flup, fckeditor
+CDBS_SUGGESTS += , python-4suite-xml, python-gdchart, python-docutils, python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
 CDBS_SUGGESTS += , miscfiles | wordlist, antiword, catdoc, cifs-utils, poppler-utils | xpdf-utils, docbook-dsssl
